From 0886a7755974cc00acc814c8c959de24b2d423d7 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefankangas@gmail.com>
Date: Fri, 7 Jun 2019 02:34:50 +0200
Subject: [PATCH] Make bookmark-set-interactive non-interactive (bug#36121)

* lisp/bookmark.el (bookmark-set-internal): Make non-interactive.
---
 lisp/bookmark.el | 1 -
 1 file changed, 1 deletion(-)

diff --git a/lisp/bookmark.el b/lisp/bookmark.el
index ed71dd1ade..6fca8bf116 100644
--- a/lisp/bookmark.el
+++ b/lisp/bookmark.el
@@ -775,7 +775,6 @@ bookmark-set-internal
 bookmarks named NAME, this most recently set one becomes the one in
 effect, but the others are still there, in order, if the topmost one
 is ever deleted."
-  (interactive (list nil current-prefix-arg))
   (unwind-protect
        (let* ((record (bookmark-make-record))
               ;; `defaults' is a transient element of the
-- 
2.21.0

